Bug 249523 - sysutils/smartmontools: Update drivedb.h to latest upstream commit (r5086)
Summary: sysutils/smartmontools: Update drivedb.h to latest upstream commit (r5086)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-22 11:05 UTC by daniel.engberg.lists
Modified: 2020-10-11 11:31 UTC (History)
4 users (show)

See Also:
mandree: maintainer-feedback-


Attachments
Patch for smartmontools (45.40 KB, patch)
2020-09-22 11:05 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-09-22 11:05:07 UTC
Created attachment 218174 [details]
Patch for smartmontools

Update drivedb.h to latest upstream commit r5086 as it fixes various reporting errors with common drives.
Comment 1 daniel.engberg.lists 2020-09-22 11:05:23 UTC
I don't have any of the affected drives so I can't test but this should work just fine as far as I can tell.
Comment 2 daniel.engberg.lists 2020-10-01 21:26:02 UTC
In case anyone wants to have a look at the update script made by upstream
https://www.smartmontools.org/browser/trunk/smartmontools/update-smart-drivedb.in
Comment 3 Matthias Andree freebsd_committer 2020-10-11 11:13:21 UTC
maintainer timeout, 19 d, taking
Comment 4 commit-hook freebsd_committer 2020-10-11 11:31:38 UTC
A commit references this bug:

Author: mandree
Date: Sun Oct 11 11:30:50 UTC 2020
New revision: 552052
URL: https://svnweb.freebsd.org/changeset/ports/552052

Log:
  sysutils/smartmontools: Update drivedb.h to upstream commit r5086

  PR:		249523
  Submitted by:	Daniel Engberg
  Approved by:	maintainer timeout (samm@FreeBSD.org, 19 days)

Changes:
  head/sysutils/smartmontools/Makefile
  head/sysutils/smartmontools/files/patch-drivedb.h